<!--{{serverDetails}}-->
{{serverDetailsRaw}}
<div class="sensorContSec moreBtm">
    <!--..... sub header ......-->
    <div class="subHeader">
        <div class="floatLeft">
            <div class="mainNormal roboLight marginTopSml">SERVER LIST</div>
        </div>
        <div class="floatRight">
           <!-- <div class="btn small addServerBtn midBlock">NEW SERVER</div>-->
            <div class="needHelpBtn small midBlock marginLeft" data-init="0">SHOW HELP</div>
        </div>
        <span class="clear"></span>
    </div>

    <div class="instanceContMain">
        <!--<div class="mapContainer">-->
            <!--<div class="map" id="severMap"></div>-->

            <!--<div class="bottomOpt">-->
                <!--<ul>-->
                    <!--<li>-->
                        <!--<div class="device midBlock camera"></div>-->
                        <!--<div class="deviceName midBlock">02 CAMERAS</div>-->
                    <!--</li>-->
                    <!--<li>-->
                        <!--<div class="device midBlock radar"></div>-->
                        <!--<div class="deviceName midBlock">02 RADAR SENSORS</div>-->
                    <!--</li>-->
                <!--</ul>-->
            <!--</div>-->

            <!--<div class="rightDetails deviceData">-->
                <!--<div class="close smallTitle">X</div>-->
                <!--<div class="contentMain">-->
                    <!--<div class="content centerTxt">-->
                        <!--<div class="sensorsNum">-->
                            <!--<div class="num">23</div>-->
                            <!--<div class="name">SENSORS</div>-->
                        <!--</div>-->
                        <!--<div class="statusMain marginTop">-->
                            <!--<div class="status">-->
                                <!--<div class="midBlock up">21</div>-->
                                <!--<img src="images/upArrow.png" alt="" class="icon midBlock">-->
                            <!--</div>-->
                            <!--<div class="status">-->
                                <!--<div class="midBlock down">02</div>-->
                                <!--<img src="images/downArrow.png" alt="" class="icon midBlock">-->
                            <!--</div>-->
                        <!--</div>-->
                    <!--</div>-->
                <!--</div>-->
            <!--</div>-->
        <!--</div>-->

        <!--<div class="sensorListMain">-->
            <!--<div class="paddingFull mainNormal roboLight">SERVER LIST</div>-->
        <!--</div>-->

        <div class="serversList mainNormal roboLight">
                <div class="dataTable devicesList">
                    <div class="dataRow header">
                        <ul class="rowCont">
                            <li class="name">Server Name</li>
                            <li class="status">Status</li>
                            <li class="cpuLoad">CPU Load</li>
                            <li class="diskAvailable">Disk Available</li>
                            <li class="memoryAvailable">Memory Available</li>
                            <li class="instanceNum">Number Of Instances</li>
                            <li class="expand"></li>
                        </ul>
                    </div>
               <!--     {{serverDetails}}-->
                    <div class="dataRow" ng-repeat="servers in serverDetails  track by $index">
                        <a href="#/necApp/serversMain/serverDetails/{{servers.host}}">
                            <ul class="rowCont">
                                <li class="name">
                                    <div class="" ng-bind="servers.host"></div>
                                </li>

                                <li class="status active on "  >
                                   <!-- <div class="" ng-bind="servers.status"></div>-->
                                   <!-- {{servers.status}}
                                    {{serverConfigDetials.appConstant.constants.server.START_STATE_ARRAY}}-->
                                    <div class=" on"  ng-if="(serverConfigDetials.appConstant.constants.server.START_STATE_ARRAY).indexOf(servers.status)>=0" ng-bind="servers.status"></div>
                                    <div class=" off"  ng-if="(serverConfigDetials.appConstant.constants.server.STOP_STATE_ARRAY).indexOf(servers.status)>=0"  ng-bind="servers.status"></div>
                                </li>
                                <li class="cpuLoad">
                                    <div class="" ng-bind="servers.cpuLoad"></div>
                                </li>
                                <li class="diskAvailable">
                                    <div class=""  ng-bind="servers.diskAvailable"></div>
                                </li>
                                <li class="memoryAvailable">
                                    <div class=""  ng-bind="servers.memoryAvailable">div>
                                </li>
                                <li class="instanceNum">
                                    <div class="" ng-bind="servers.numberOfInstances"></div>
                                </li>
                                <li class="expand">
                                    <!--<div class="serviceBtn midBlock stop">Stop</div>-->
                                    <div class="expandBtn">+</div>
                                </li>
                            </ul>
                        </a>
                        </div>
                    </div>


                </div>
    </div>


    <!--... page main loader .... -->
    <hr-loader class="overlayFix" ng-if="serverConfigDetials.showServerDetailsLoader"></hr-loader>

</div>


<!--....... Add Sensor popup ......-->
<div class="popup addComponent addServer">
    <div class="x close">X</div>
    <div class="popupContent">
        <div class="otherDetails marginBtmSec">
            <div class="inputBox marginBtm">
                <div class="tag marginBtmSml">Name</div>
                <input type="text" placeholder="Server Name">
            </div>
            <ul class="form flow marginBtmSec">
                <li>
                    <div class="tag">Camera ID</div>
                    <input type="text" placeholder="ID">
                </li>
                <li>
                    <div class="tag">Server</div>
                    <input type="text" placeholder="Server">
                </li>
                <span class="clear"></span>
            </ul>

            <ul class="form ">
                <li>
                    <div class="tag">Instances</div>
                    <div class="dropDown midBlock personCat">
                        <div class="head" data-init="0">
                            <div class="headTitle">B1,B2</div>
                            <img src="images/arrow_down_white.png" alt="" class="sign">
                        </div>
                        <ul class="list">
                            <li>Option 1</li>
                            <li>Option 2</li>
                            <li>Option 3</li>
                        </ul>
                    </div>
                </li>
                <li>
                    <div class="tag">Apps</div>
                    <div class="dropDown midBlock personCat">
                        <div class="head" data-init="0">
                            <div class="headTitle">App1, App2</div>
                            <img src="images/arrow_down_white.png" alt="" class="sign">
                        </div>
                        <ul class="list">
                            <li>Option 1</li>
                            <li>Option 2</li>
                            <li>Option 3</li>
                        </ul>
                    </div>
                </li>
            </ul>
        </div>

        <div class="btnsMain">
            <div class="btn midBlock marginRgt">Add</div>
            <div class="btn midBlock close">Cancel</div>
        </div>
    </div>
</div>

